package com.gxwebsoft.credit.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.credit.entity.CreditCompany;
import com.gxwebsoft.credit.param.CreditCompanyParam;

import java.util.List;

/**
 * 企业Service
 *
 * @author 科技小王子
 * @since 2025-12-17 08:28:03
 */
public interface CreditCompanyService extends IService<CreditCompany> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<CreditCompany>
     */
    PageResult<CreditCompany> pageRel(CreditCompanyParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<CreditCompany>
     */
    List<CreditCompany> listRel(CreditCompanyParam param);

    /**
     * 根据id查询
     *
     * @param id ID
     * @return CreditCompany
     */
    CreditCompany getByIdRel(Integer id);

    CreditCompany getByName(String name);

    CreditCompany getByMatchName(String name);
}
